Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Andreas Hüttel" <dilfridge@g.o>
Subject: dev/dilfridge:master commit in: dev-lang/swig/
Date: Sat, 12 Nov 2011 23:04:37 +0000 (UTC)
commit:     a0cf61445dfaf29c1a0f14cbdccb507e8e139437
Author:     Andreas K. Huettel (dilfridge) <mail <AT> akhuettel <DOT> de>
AuthorDate: Sun Nov 13 00:05:10 2011 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sun Nov 13 00:05:10 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/dilfridge.git;a=commit;h=a0cf6144

[dev-lang/swig] Copied from main tree

---
 dev-lang/swig/ChangeLog                  |  587 ++++++++++++++++++++++++++++++
 dev-lang/swig/Manifest                   |   28 ++
 dev-lang/swig/metadata.xml               |   19 +
 dev-lang/swig/swig-1.3.40-r1.ebuild      |   34 ++
 dev-lang/swig/swig-2.0.0.ebuild          |   34 ++
 dev-lang/swig/swig-2.0.1.ebuild          |   33 ++
 dev-lang/swig/swig-2.0.2.ebuild          |   33 ++
 dev-lang/swig/swig-2.0.3.ebuild          |   33 ++
 dev-lang/swig/swig-2.0.4.ebuild          |   33 ++
 dev-lang/swig/swig-2.0.4_pre12643.ebuild |   43 +++
 10 files changed, 877 insertions(+), 0 deletions(-)

diff --git a/dev-lang/swig/ChangeLog b/dev-lang/swig/ChangeLog
new file mode 100644
index 0000000..b7fd03c
--- /dev/null
+++ b/dev-lang/swig/ChangeLog
@@ -0,0 +1,587 @@
+# ChangeLog for dev-lang/swig
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/swig/ChangeLog,v 1.157 2011/07/17 10:24:43 xarthisius Exp $
+
+  17 Jul 2011; Kacper Kowalik <xarthisius@g.o> swig-2.0.2.ebuild:
+  ppc/ppc64 stable wrt #365315
+
+  13 Jun 2011; Raúl Porcel <armin76@g.o> swig-2.0.2.ebuild:
+  alpha/ia64/s390/sh/sparc stable wrt #365315
+
+  05 Jun 2011; Jeroen Roovers <jer@g.o> swig-2.0.2.ebuild:
+  Stable for HPPA (bug #365315).
+
+  02 Jun 2011; Markus Meier <maekke@g.o> swig-2.0.2.ebuild:
+  arm stable, bug #365315
+
+*swig-2.0.4 (28 May 2011)
+
+  28 May 2011; Panagiotis Christopoulos <pchrist@g.o>
+  +swig-2.0.4.ebuild, metadata.xml:
+  Version bump to 2.0.4 and added myself to metadata.
+
+  25 May 2011; Thomas Kahle <tomka@g.o> swig-2.0.2.ebuild:
+  x86 stable per bug 365315
+
+  03 May 2011; Markos Chandras <hwoarang@g.o> swig-2.0.2.ebuild:
+  Stable on amd64 wrt bug #365315
+
+  29 Apr 2011; Panagiotis Christopoulos <pchrist@g.o>
+  swig-2.0.4_pre12643.ebuild:
+  Minor change to the snapshot and swig-2.0.4_pre12643 ebuild (xz-->bz2 and
+  addition of ccache-swig.1 man file), fixes bug #365279 reported by Justin
+  Lecher (jlec)
+
+*swig-2.0.4_pre12643 (28 Apr 2011)
+
+  28 Apr 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@g.o>
+  +swig-2.0.4_pre12643.ebuild:
+  Version bump. Fixed compatibility with Python 3.2 (bug #327781).
+
+*swig-2.0.3 (14 Apr 2011)
+
+  14 Apr 2011; Panagiotis Christopoulos <pchrist@g.o>
+  +swig-2.0.3.ebuild:
+  Bump by Tolga Dalman (tdalman at project-psi.org), wrt bug #361229
+
+*swig-2.0.2 (26 Feb 2011)
+
+  26 Feb 2011; Panagiotis Christopoulos <pchrist@g.o>
+  +swig-2.0.2.ebuild:
+  Bump to 2.0.2, wrt bug #356131
+
+*swig-2.0.1 (26 Oct 2010)
+
+  26 Oct 2010; Tim Harder <radhermit@g.o> +swig-2.0.1.ebuild:
+  Version bump for bug #340204. Add pcre USE flag and dependencies, alter
+  spacing, add GPL-3 to LICENSE, and remove unnecessary src_prepare phase.
+
+  24 Sep 2010; Mart Raudsepp <leio@g.o> swig-2.0.0.ebuild:
+  Add ~mips, bug 199368
+
+  24 Jul 2010; Panagiotis Christopoulos <pchrist@g.o>
+  -swig-1.3.31.ebuild, -swig-1.3.33.ebuild, -swig-1.3.34.ebuild,
+  -swig-1.3.35.ebuild, -swig-1.3.36.ebuild, -swig-1.3.38.ebuild,
+  -swig-1.3.39.ebuild, -swig-1.3.40.ebuild:
+  Cleanup old ebuild
+
+  18 Jul 2010; Raúl Porcel <armin76@g.o> swig-1.3.40-r1.ebuild:
+  arm/ia64/s390/sh/sparc stable wrt #307613
+
+  17 Jul 2010; Tobias Klausmann <klausman@g.o> swig-1.3.40-r1.ebuild:
+  Stable on alpha, bug #307613
+
+  09 Jul 2010; Samuli Suominen <ssuominen@g.o> swig-1.3.40-r1.ebuild:
+  ppc64 stable wrt #307613
+
+  09 Jul 2010; Panagiotis Christopoulos <pchrist@g.o>
+  swig-1.3.31.ebuild, swig-1.3.33.ebuild, swig-1.3.34.ebuild,
+  swig-1.3.35.ebuild, swig-1.3.36.ebuild, swig-1.3.38.ebuild:
+  Change virtual/php dep to dev-lang/php wrt bug #319623
+
+  07 Jul 2010; Christian Faulhammer <fauli@g.o>
+  swig-1.3.40-r1.ebuild:
+  stable x86, bug 307613
+
+  01 Jul 2010; Jeroen Roovers <jer@g.o> swig-1.3.40-r1.ebuild:
+  Stable for HPPA (bug #307613).
+
+  26 Jun 2010; <nixnut@g.o> swig-1.3.40-r1.ebuild:
+  ppc stable #307613
+
+  24 Jun 2010; Christoph Mende <angelos@g.o> swig-1.3.40-r1.ebuild:
+  Stable on amd64 wrt bug #307613
+
+*swig-2.0.0 (20 Jun 2010)
+
+  20 Jun 2010; Panagiotis Christopoulos <pchrist@g.o>
+  +swig-2.0.0.ebuild:
+  Bump to 2.0.0
+
+  20 Jun 2010; Panagiotis Christopoulos <pchrist@g.o>
+  swig-1.3.36.ebuild:
+  Remove mzscheme use flag, cause of dropped stable keywords in
+  dev-scheme/plt-scheme, wrt (libpng14) bug #305053
+
+  29 Apr 2010; Panagiotis Christopoulos <pchrist@g.o>
+  swig-1.3.40-r1.ebuild:
+  RESTRICT=test for the time being, fixes bug 317733 and broken testsuite
+  once and for all
+
+  21 Apr 2010; Panagiotis Christopoulos <pchrist@g.o>
+  swig-1.3.40-r1.ebuild:
+  minor change, fixes bug 315765
+
+  16 Apr 2010; Panagiotis Christopoulos <pchrist@g.o>
+  swig-1.3.40-r1.ebuild:
+  fix doc handling, bug 315527, thanks to William Throwe < wthrowe at
+  mit.edu > , for reporting it
+
+*swig-1.3.40-r1 (15 Apr 2010)
+
+  15 Apr 2010; Panagiotis Christopoulos <pchrist@g.o>
+  +swig-1.3.40-r1.ebuild, metadata.xml:
+  Revision Bump: a first try to fix src_test. Also added new use flag
+  (ccache), which handles support of ccache-swig
+
+  02 Jan 2010; Christian Faulhammer <fauli@g.o> swig-1.3.40.ebuild:
+  Transfer Prefix keywords
+
+*swig-1.3.40 (31 Aug 2009)
+
+  31 Aug 2009; Marijn Schouten <hkBst@g.o> +swig-1.3.40.ebuild:
+  bump
+
+*swig-1.3.39 (21 Mar 2009)
+
+  21 Mar 2009; Marijn Schouten <hkBst@g.o> +swig-1.3.39.ebuild:
+  bump
+
+  02 Mar 2009; Raúl Porcel <armin76@g.o> swig-1.3.36.ebuild:
+  alpha/arm/ia64/s390/sh/sparc stable
+
+*swig-1.3.38 (04 Feb 2009)
+
+  04 Feb 2009; Marijn Schouten <hkBst@g.o> +swig-1.3.38.ebuild:
+  Bump. Try new approach because of bug 249565.
+  Disable broken support for mzscheme(plt-scheme).
+
+  16 Jan 2009; Raúl Porcel <armin76@g.o> swig-1.3.36.ebuild:
+  Re-add ~arm/~s390/~sh wrt #199368
+
+  17 Nov 2008; Diego E. Pettenò <flameeyes@g.o>
+  files/fix-for-PLT4.patch:
+  Fix patch with absolute paths.
+
+  17 Nov 2008; Panagiotis Christopoulos <pchrist@g.o>
+  swig-1.3.33.ebuild, swig-1.3.34.ebuild, swig-1.3.35.ebuild,
+  swig-1.3.36.ebuild:
+  change dev-scheme/drscheme dependency to dev-scheme/plt-scheme. Action
+  resulted cause of bug 246666
+
+  18 Sep 2008; Brent Baude <ranger@g.o> swig-1.3.34.ebuild,
+  swig-1.3.36.ebuild:
+  Marking swig-1.3.36 ppc stable for dep to 229915
+
+  18 Sep 2008; Brent Baude <ranger@g.o> swig-1.3.34.ebuild:
+  Marking swig-1.3.34 ppc64 stable for 217408
+
+  25 Aug 2008; Markus Meier <maekke@g.o> swig-1.3.36.ebuild:
+  amd64/x86 stable, bug #229915
+
+  24 Aug 2008; Marijn Schouten <hkBst@g.o> +files/fix-for-PLT4.patch,
+  swig-1.3.36.ebuild:
+  add fix for compiling against drscheme-4, bug 235596, thanks to Dmitry
+  Dzhus <dima@...> for the fix.
+
+  23 Aug 2008; Jeroen Roovers <jer@g.o> metadata.xml:
+  Add GLEP 56 USE flag descriptions.
+
+*swig-1.3.36 (25 Jun 2008)
+
+  25 Jun 2008; Marijn Schouten <hkBst@g.o> +swig-1.3.36.ebuild:
+  bump
+
+  18 Apr 2008; nixnut <nixnut@g.o> swig-1.3.34.ebuild:
+  Stable on ppc wrt bug 217408
+
+  15 Apr 2008; Raúl Porcel <armin76@g.o> swig-1.3.34.ebuild:
+  alpha/ia64/sparc stable wrt #217408
+
+  14 Apr 2008; Markus Meier <maekke@g.o> swig-1.3.34.ebuild:
+  amd64/x86 stable, bug #217408
+
+  14 Apr 2008; Jeroen Roovers <jer@g.o> swig-1.3.34.ebuild:
+  Stable for HPPA (bug #217408).
+
+  09 Apr 2008; Jeroen Roovers <jer@g.o> swig-1.3.35.ebuild:
+  Marked ~hppa (bug #216855).
+
+  08 Apr 2008; Alexis Ballier <aballier@g.o> swig-1.3.35.ebuild:
+  keyword ~x86-fbsd
+
+  08 Apr 2008; Raúl Porcel <armin76@g.o> swig-1.3.35.ebuild:
+  Re-add ~ia64 wrt #216855
+
+  08 Apr 2008; Marijn Schouten <hkBst@g.o> -swig-1.3.21.ebuild,
+  -swig-1.3.25.ebuild, -swig-1.3.27.ebuild, -swig-1.3.29.ebuild,
+  -swig-1.3.29-r1.ebuild:
+  remove old cruft
+
+*swig-1.3.35 (08 Apr 2008)
+
+  08 Apr 2008; Marijn Schouten <hkBst@g.o> +swig-1.3.35.ebuild:
+  bump, adds octave support
+
+  11 Mar 2008; <ricmm@g.o> swig-1.3.21.ebuild, swig-1.3.25.ebuild,
+  swig-1.3.31.ebuild:
+  Drop to ~mips to match deps
+
+*swig-1.3.34 (02 Mar 2008)
+
+  02 Mar 2008; Marijn Schouten <hkBst@g.o> +swig-1.3.34.ebuild:
+  bump
+
+  06 Feb 2008; Ferris McCormick <fmccor@g.o> swig-1.3.33.ebuild:
+  Sparc stable, Bug #209052. (chicken is package-masked for swig because sparc
+  does not support it.)
+
+  17 Dec 2007; Marijn Schouten <hkBst@g.o> -swig-1.3.32.ebuild:
+  remove 1.3.32 for bug 199831
+
+*swig-1.3.33 (24 Nov 2007)
+
+  24 Nov 2007; Marijn Schouten <hkBst@g.o> +swig-1.3.33.ebuild:
+  bump
+
+  21 Nov 2007; Joe Peterson <lavajoe@g.o> swig-1.3.32.ebuild:
+  Added ~x86-fbsd keyword (bug #199368)
+
+  21 Nov 2007; Raúl Porcel <armin76@g.o> swig-1.3.32.ebuild:
+  Add ~alpha/~ia64 wrt #199368
+
+  21 Nov 2007; Markus Rothe <corsair@g.o> swig-1.3.32.ebuild:
+  Added ~ppc64; bug #199368
+
+  20 Nov 2007; Ferris McCormick <fmccor@g.o> swig-1.3.32.ebuild:
+  Add back ~sparc keyword, Bug #199368.  USE=clisp, mzscheme were already masked
+  for sparc.  For this version of swig, I also package.use.mask'ed chicken and
+  pike for swig because sparc has no keyword for either of them.
+
+  19 Nov 2007; Jeroen Roovers <jer@g.o> swig-1.3.32.ebuild:
+  Marked ~hppa (bug #199368).
+
+*swig-1.3.32 (16 Nov 2007)
+
+  16 Nov 2007; Marijn Schouten <hkBst@g.o> +swig-1.3.32.ebuild:
+  bump; add chicken, clisp, mzscheme and R use flags, deps and use_with's;
+  drop keywords because of new deps
+
+  31 Jul 2007; Marijn Schouten <hkBst@g.o> metadata.xml:
+  take over maintainership
+
+  14 Jul 2007; Christian Heim <phreak@g.o> metadata.xml:
+  Assigning dev-lang/swig to m-needed, as chriswhite has been retired (#56211).
+
+  12 Jul 2007; Roy Marples <uberlord@g.o> swig-1.3.31.ebuild:
+  Keyworded ~sparc-fbsd
+
+  13 May 2007; Joshua Kinard <kumba@g.o> swig-1.3.31.ebuild:
+  Stable on mips.
+
+  27 Feb 2007; Piotr Jaroszyński <peper@g.o> swig-1.3.25.ebuild:
+  Fix incomplete dev-lisp/mzscheme -> dev-scheme/mzscheme move.
+
+  15 Feb 2007; Bryan Østergaard <kloeri@g.o> swig-1.3.31.ebuild:
+  Stable on Alpha, bug 166246.
+
+  14 Feb 2007; Bryan Østergaard <kloeri@g.o> swig-1.3.31.ebuild:
+  Stable on IA64, bug 166246.
+
+  13 Feb 2007; Lars Weiler <pylon@g.o> swig-1.3.31.ebuild:
+  Stable on ppc; bug #166246.
+
+  13 Feb 2007; Markus Rothe <corsair@g.o> swig-1.3.31.ebuild:
+  Stable on ppc64; bug #166246
+
+  12 Feb 2007; Marcus D. Hanwell <cryos@g.o> swig-1.3.31.ebuild:
+  Stable on amd64, bug 166246.
+
+  12 Feb 2007; Gustavo Zacarias <gustavoz@g.o> swig-1.3.31.ebuild:
+  Stable on sparc
+
+  12 Feb 2007; Jeroen Roovers <jer@g.o> swig-1.3.31.ebuild:
+  Stable for HPPA (bug #166246).
+
+  11 Feb 2007; Christian Faulhammer <opfer@g.o> swig-1.3.31.ebuild:
+  stable x86; security bug #166246
+
+  11 Feb 2007; Fabian Groffen <grobian@g.o> swig-1.3.25.ebuild,
+  swig-1.3.27.ebuild, swig-1.3.29.ebuild, swig-1.3.29-r1.ebuild,
+  swig-1.3.31.ebuild:
+  Dropped ppc-macos keyword, see you in prefix
+
+  10 Jan 2007; Piotr Jaroszyński <peper@g.o> Manifest:
+  Fix Manifest.
+
+  10 Jan 2007; <marijn@g.o> swig-1.3.29-r1.ebuild:
+  Dependency update: dev-util/guile -> dev-scheme/guile.
+
+  10 Jan 2007; <marijn@g.o> swig-1.3.31.ebuild:
+  Dependency update: dev-util/guile -> dev-scheme/guile.
+
+  10 Jan 2007; <marijn@g.o> swig-1.3.29.ebuild:
+  Dependency update: dev-util/guile -> dev-scheme/guile.
+
+  10 Jan 2007; <marijn@g.o> swig-1.3.27.ebuild:
+  Dependency update: dev-util/guile -> dev-scheme/guile.
+
+  10 Jan 2007; <marijn@g.o> swig-1.3.25.ebuild:
+  Dependency update: dev-util/guile -> dev-scheme/guile.
+
+  10 Jan 2007; <marijn@g.o> swig-1.3.21.ebuild:
+  Dependency update: dev-util/guile -> dev-scheme/guile.
+
+*swig-1.3.31 (07 Jan 2007)
+
+  07 Jan 2007; Bryan Østergaard <kloeri@g.o> +swig-1.3.31.ebuild:
+  Version bump to fix python-2.5 compatibility, bug 148728.
+
+  19 Nov 2006; Diego Pettenò <flameeyes@g.o> swig-1.3.29-r1.ebuild:
+  Forwardport the ~x86-fbsd keyword.
+
+  01 Oct 2006; Diego Pettenò <flameeyes@g.o> swig-1.3.29.ebuild:
+  Add ~x86-fbsd keyword.
+
+*swig-1.3.29-r1 (26 Sep 2006)
+
+  26 Sep 2006; Chris White <chriswhite@g.o> +files/swig-const.patch,
+  +swig-1.3.29-r1.ebuild:
+  New swig-1.3.29-r1. This fixes a const char type conversion error. Mainly
+  fixes bug #149064.
+
+  05 Sep 2006; Joshua Kinard <kumba@g.o> swig-1.3.25.ebuild:
+  Marked stable on mips.
+
+  10 Jul 2006; Gustavo Zacarias <gustavoz@g.o> swig-1.3.25.ebuild:
+  Stable on sparc wrt #139505
+
+  09 Jul 2006; Chris White <chriswhite@g.o> metadata.xml:
+  Added no-herd for metadata.xml.
+
+  08 Jul 2006; Doug Goldstein <cardoe@g.o> swig-1.3.21.ebuild,
+  swig-1.3.25.ebuild, swig-1.3.27.ebuild, swig-1.3.29.ebuild:
+  split USE='tcltk' to 'tcl' & 'tk' per bug #17808. Nuked X USE flag since it
+  was only to find tk from tcltk
+
+  07 Jul 2006; Chris Gianelloni <wolf31o2@g.o> swig-1.3.25.ebuild:
+  Stable on x86 and amd64 for bug #139505.
+
+  30 Jun 2006; Lars Weiler <pylon@g.o> swig-1.3.25.ebuild:
+  Stable on ppc; gcc-4 related; bug #138099.
+
+*swig-1.3.29 (22 May 2006)
+
+  22 May 2006; Steve Arnold <nerdboy@g.o> +swig-1.3.29.ebuild:
+  Version bump for gdal ruby bindings (getting kinda stale).  Should
+  stablize on 1.3.29 for -autorename function.
+
+  20 Feb 2006; Markus Rothe <corsair@g.o> swig-1.3.25.ebuild:
+  Stable on ppc64
+
+  17 Feb 2006; Chris White <chriswhite@g.o> swig-1.3.27.ebuild:
+  Fixed missing ocaml IUSE entry. Thanks to ciaranm for reporting in bug
+  #122905.
+
+  04 Feb 2006; Aron Griffis <agriffis@g.o> swig-1.3.25.ebuild:
+  Mark 1.3.25 stable on alpha
+
+  03 Feb 2006; Aron Griffis <agriffis@g.o> swig-1.3.25.ebuild:
+  Mark 1.3.25 stable on ia64
+
+  22 Jan 2006; Caleb Tennis <caleb@g.o> -swig-1.3.24.ebuild:
+  Removing p.masked version
+
+  08 Jan 2006; Chris White <chriswhite@g.o> swig-1.3.21.ebuild:
+  Since 1.3.25 is not going stable soon, dev-lang/php -> virtual/php.
+
+  08 Dec 2005; Rene Nussbaumer <killerfox@g.o> swig-1.3.25.ebuild:
+  Stable on hppa.
+
+  22 Oct 2005; Mike Frysinger <vapier@g.o> swig-1.3.25.ebuild,
+  swig-1.3.27.ebuild:
+  No longer need to change the java find since the code has been tweaked
+  already to handle multiple results.
+
+*swig-1.3.27 (18 Oct 2005)
+
+  18 Oct 2005; Mike Frysinger <vapier@g.o> +swig-1.3.27.ebuild:
+  Version bump.
+
+  18 Sep 2005; Chris White <chriswhite@g.o> ChangeLog:
+  Re-doing this with proper gpg signing :|
+
+  18 Sep 2005; Chris White <chriswhite@g.o> swig-1.3.21.ebuild:
+  Added doc USE flag for html developer docs.
+
+  16 Sep 2005; Ciaran McCreesh <ciaranm@g.o> ChangeLog:
+  Converted to UTF-8, fixed encoding screwups
+
+*swig-1.3.25 (11 Sep 2005)
+
+  11 Sep 2005; Chris White <chriswhite@g.o> +metadata.xml,
+  swig-1.3.24.ebuild, +swig-1.3.25.ebuild:
+  dev-php/php -> virtual/php. Fixes bug #102364. Taking over as maintainer.
+  Did a version bump to fix bug #104762. Tested with some of the tutorials at
+  the swig site.
+
+  10 Aug 2005; Kito <kito@g.o> swig-1.3.24.ebuild:
+  ~ppc-macos keyword.
+
+  23 Jul 2005; MATSUU Takuto <matsuu@g.o> swig-1.3.21.ebuild:
+  Stable on sh.
+
+  19 Feb 2005; Heinrich Wendel <lanius@g.o> -swig-1.3.22.ebuild:
+  version bump
+
+  19 Feb 2005; Heinrich Wendel <lanius@g.o> swig-1.3.21.ebuild,
+  swig-1.3.22.ebuild:
+  disable features=maketest, bug #75650
+
+  19 Feb 2005; Heinrich Wendel <lanius@g.o> swig-1.3.21.ebuild,
+  swig-1.3.22.ebuild:
+  fix USE
+
+  24 Oct 2004; Heinrich Wendel <lanius@g.o> swig-1.3.21.ebuild,
+  swig-1.3.22.ebuild:
+  split tcltk useflag in tcl and tk, bug #68042;#17808
+
+  29 Sep 2004; Heinrich Wendel <lanius@g.o> swig-1.3.22.ebuild:
+  fix compile bug, bug #65670
+
+*swig-1.3.22 (25 Sep 2004)
+
+  25 Sep 2004; Heinrich Wendel <lanius@g.o> +swig-1.3.22.ebuild:
+  version bump
+
+  18 Aug 2004; <pauldv@g.o> swig-1.3.21.ebuild:
+  Fix bug #60626, thanks to the people who commented there and provided 
+  the fix.
+
+  16 Aug 2004; Mike Frysinger <vapier@g.o> swig-1.3.21.ebuild:
+  Clean up and make sure CFLAGS arent killed #59509.
+
+  07 Aug 2004; Tom Martin <slarti@g.o> swig-1.3.21.ebuild:
+  Typo in DESCRIPTION: Simplied -> Simplified. Bug 59717.
+
+  15 Jul 2004; Tom Gall <tgall@g.o> swig-1.3.21.ebuild:
+  stable on ppc64 bug #55529
+
+  01 Jul 2004; Jeremy Huddleston <eradicator@g.o> swig-1.3.21.ebuild:
+  virtual/glibc -> virtual/libc
+
+  23 Jun 2004; Mike Frysinger <vapier@g.o> swig-1.3.21.ebuild:
+  Add optional php support for #47513 by Diego Pettenò.
+
+  23 Jun 2004; Gustavo Zacarias <gustavoz@g.o> swig-1.3.21.ebuild:
+  Stable on hppa
+
+  15 May 2004; Joshua Kinard <kumba@g.o> swig-1.3.21.ebuild:
+  Marked stable on mips.
+
+  15 May 2004; Bryan Østergaard <kloeri@g.o> swig-1.3.21.ebuild:
+  Stable on alpha.
+
+  13 May 2004; Michael McCabe <randy@g.o> swig-1.3.21.ebuild:
+  Added s390 keywords
+
+  28 Apr 2004; Heinrich Wendel <lanius@g.o> swig-1.3.21.ebuild:
+  use emake
+
+  12 Apr 2004; Mamoru KOMACHI <usata@g.o> swig-1.3.10-r2.ebuild,
+  swig-1.3.16.ebuild, swig-1.3.19.ebuild, swig-1.3.20.ebuild,
+  swig-1.3.21.ebuild:
+  virtual/ruby fix
+
+  11 Apr 2004; Gustavo Zacarias <gustavoz@g.o> swig-1.3.21.ebuild:
+  Stable on sparc
+
+  09 Apr 2004; Heinrich Wendel <lanius@g.o> swig-1.3.21.ebuild:
+  stable on x86
+
+  24 Feb 2004; <agriffis@g.o> swig-1.3.19.ebuild, swig-1.3.21.ebuild:
+  add ia64 keywords
+
+  22 Feb 2004; David Holm <dholm@g.o> swig-1.3.19.ebuild:
+  Added 1.3.19 to ~ppc, it is required for subversion-0.37.0.
+
+  22 Feb 2004; Heinrich Wendel <lanius@g.o> swig-1.3.21.ebuild:
+  fix compile if plt is installed
+
+  21 Feb 2004; Heinrich Wendel <lanius@g.o> swig-1.3.21.ebuild:
+  fix compilation if no tcl is installed
+
+  21 Feb 2004; Heinrich Wendel <lanius@g.o> swig-1.3.21.ebuild:
+  fix compile if mzscheme is installed
+
+*swig-1.3.21 (20 Feb 2004)
+
+  20 Feb 2004; Heinrich Wendel <lanius@g.o> swig-1.3.21.ebuild:
+  version bump; install runtime lib's
+
+  11 Feb 2004; Bartosch Pixa <darkspecter@g.o> swig-1.3.20.ebuild:
+  set ~ppc in keywords
+
+  20 Jan 2004; <gustavoz@g.o> swig-1.3.19.ebuild:
+  stable on sparc
+
+  28 Dec 2003; Joshua Kinard <kumba@g.o> swig-1.3.19.ebuild:
+  Move to mips stable (~mips -> mips)
+
+*swig-1.3.20 (26 Dec 2003)
+
+  26 Dec 2003; Heinrich Wendel <lanius@g.o> swig-1.3.20.ebuild:
+  bump
+
+  14 Dec 2003; Guy Martin <gmsoft@g.o> swig-1.3.19.ebuild:
+  Marked stable on hppa.
+
+  23 Nov 2003; Heinrich Wendel <lanius@g.o> swig-1.3.10-r1.ebuild,
+  swig-1.3.15.ebuild:
+  cleanups
+
+  23 Nov 2003; Heinrich Wendel <lanius@g.o> swig-1.3.19.ebuild:
+  stable on x86
+
+  04 Nov 2003; Brad House <brad_mssw@g.o> swig-1.3.19.ebuild:
+  mark as stable on amd64
+
+  08 Oct 2003; <tuxus@g.o> swig-1.3.16.ebuild:
+  Stable on mips
+
+  26 Sep 2003; Aron Griffis <agriffis@g.o> swig-1.3.19.ebuild:
+  Stable on alpha
+
+  17 Aug 2003; Paul de Vrieze <pauldv@g.o> swig-1.3.16.ebuild:
+  Mark stable so that subversion can be marked stable
+
+*swig-1.3.19 (29 Jul 2003)
+
+  29 Jul 2003; Tom Payne <twp@g.o> swig-1.3.19.ebuild :
+  Version bump. Added remaining KEYWORDS.
+
+  14 Jul 2003; Aron Griffis <agriffis@g.o> swig-1.3.16.ebuild:
+  Add ~alpha to KEYWORDS
+
+*swig-1.3.16 (05 Nov 2002)
+
+  31 Jan 2003; Martin Holzer <mholzer@g.o> swig-1.3.16.ebuild :
+  Change SRC_URI to use mirror://sourceforge.
+
+  05 Nov 2002; Daniel Ahlberg <aliz@g.o> swig-1.3.16.ebuild files/digest-swig-1.3.16:
+  Version bump.
+
+*swig-1.3.15 (18 Oct 2002)
+
+  31 Jan 2003; Martin Holzer <mholzer@g.o> swig-1.3.15.ebuild :
+  Change SRC_URI to use mirror://sourceforge.
+
+  18 Oct 2002; Karl Trygve Kalleberg <karltk@g.o> swig-1.3.15.ebuild files/digest-swig-1.3.15 :
+  New upstream version. Fixes #8457.
+
+*swig-1.3.10-r2 (1 Feb 2002)
+
+  31 Jan 2003; Martin Holzer <mholzer@g.o> swig-1.3.10-r2.ebuild :
+  Change SRC_URI to use mirror://sourceforge.
+
+  21 Feb 2002; M.Schlemmer <azarah@g.o> swig-1.3.10-r2.ebuild :
+  Fix a unterminating loop with ruby in USE and ruby-1.6.6 installed.
+
+*swig-1.3.10-r1 (1 Feb 2002)
+
+  31 Jan 2003; Martin Holzer <mholzer@g.o> swig-1.3.10-r1.ebuild :
+  Change SRC_URI to use mirror://sourceforge.
+
+  1 Feb 2002; G.Bevin <gbevin@g.o> ChangeLog :
+  
+  Added initial ChangeLog.

diff --git a/dev-lang/swig/Manifest b/dev-lang/swig/Manifest
new file mode 100644
index 0000000..092d3cc
--- /dev/null
+++ b/dev-lang/swig/Manifest
@@ -0,0 +1,28 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
+DIST swig-1.3.40.tar.gz 4891020 RMD160 318a59b0ea2b20ca987f7e662e0d7138c869295a SHA1 7e7a426579f2d2d967b731abf062b33aa894fb4e SHA256 1945b3693bcda6777bd05fef1015a0ad1a4604cde4a4a0a368b61ccfd143ac09
+DIST swig-2.0.0.tar.gz 4780164 RMD160 853677ea19307428983034265fb37ce0f4f8a464 SHA1 60faa84a326e5aa8a94f290e9debed4551c1b1e7 SHA256 2568d042d3c7cfbcb17e2471b0434bd3aa78d7a1829f9ef6f1b9fc522e4754ea
+DIST swig-2.0.1.tar.gz 4922992 RMD160 6f09476c11160d07de080c6e97dc89ec71ff821d SHA1 da5a1e396597be683a62d349d71802c33fb0f644 SHA256 6d2072d2fbc2031d47a1a28a8c60d409ccec3f9447a5ae0a47e286c15357fe37
+DIST swig-2.0.2.tar.gz 5098559 RMD160 3bde9b20e9b340c99428564b9ae41a8b4420aac7 SHA1 1fc5a7b42ae41c51772d7268ba0f987e9514d110 SHA256 6e6b5e8db2bbf2761ff789a3109e4f12ca664ec178d3a164ed0dc273d346c11f
+DIST swig-2.0.3.tar.gz 5108502 RMD160 9922a134e34ded0e9d4ad81fd83f5abc2face2a0 SHA1 da09610f0b925fae40b40186d262c46e3e1f2bf0 SHA256 203276731e988b22b36852ff66fcb76a262538f1b943471c0116b9708c1bc3cb
+DIST swig-2.0.4.tar.gz 5148567 RMD160 7e5314de2b2443a76ea484909072ca63b2b1f1f7 SHA1 ace563563a8f6f367ba82236e5bea240adea0d94 SHA256 763a117730d26f8e5ed67f5718c6c0761fbb8461680fc20269db8c0839e1ec8a
+DIST swig-2.0.4_pre12643.tar.bz2 2309541 RMD160 4c599277743d636635832485078433b4e34cc35e SHA1 133debd7396b1cff272da0110ec461c59d742c00 SHA256 3e2899a63f60a9c962928524744e2c4384d91db4a9ed4af8dfe8332f6ac96c64
+EBUILD swig-1.3.40-r1.ebuild 1092 RMD160 e96ab209607c72204158aaef382bbe4f8d8b6703 SHA1 18a65abecb52af42b85e4fe89d6cc1d0730db825 SHA256 c7766908511619a833ae183fe6f35d0132de20f3ae6270406810e6db1c6b11f0
+EBUILD swig-2.0.0.ebuild 1090 RMD160 bce0b90166b815c5ec0e291ef17a678cb564ca83 SHA1 2767b9795126cb872ff076395352ed4731351f97 SHA256 85c1f9192fbb7d76d93d99ba47f73b08914732ef9ef2bd3af28754c356d3cf67
+EBUILD swig-2.0.1.ebuild 1053 RMD160 2bedec2ce9037c79c7365e22e9061858247c4214 SHA1 45fb58baabbdaa34a35eecf76f9ef809527a30a4 SHA256 8dd5c42c97c30e2967a2eeb367b45282885b8d8d5cde27480a02a841e304fb73
+EBUILD swig-2.0.2.ebuild 1043 RMD160 809c6aa84e9328f2b47ef4ed7dc269d97b22bacd SHA1 bf5c20b19b83611967e667001fef809db98a271d SHA256 7faaff99c5ec3c76b9c2b1294ff0fc0cb23aa2cd640426d6253d66c1bcf56eb4
+EBUILD swig-2.0.3.ebuild 1051 RMD160 c5cd26c2875dfabf1aee98af8e75e9113ff29873 SHA1 23b3a07035ad604ded3969e0ce6fa17df1ff1cca SHA256 64240d239a0e64628e12261ff68936c62a5536d6843c4848f7d381683376a077
+EBUILD swig-2.0.4.ebuild 1051 RMD160 3963d86233ca2a63f278074e8e933781252f66b6 SHA1 b2e79c8ba5906e45ad35b5c9d5ef4479919135ca SHA256 a55ff563077ada0be0153f4282901f0d87d79ab0669ce7299b405197d8bfce12
+EBUILD swig-2.0.4_pre12643.ebuild 1241 RMD160 5ca8e057ba6fb1b34a46a6b05d91d5290c63e057 SHA1 5d5ff06312a4d01423f90848b1a7a7f424c996b5 SHA256 6be391fabd66190ebac113f29a610ef8443a42ee1ebdb0bf7219e67760702a14
+MISC ChangeLog 19959 RMD160 dabb3061919361560d3a99959bab5a88235a8d56 SHA1 63247602c4a578be60260fa457ad63066438ac99 SHA256 8af59b3cf1e0a0d1061418a2e1b09ace90f91413fa4fb1aadd33e51c53be5244
+MISC metadata.xml 956 RMD160 b26e212d1522661e27f2141db2aebfd8625f8e67 SHA1 91eb76f152ed9c1faba2678d823f75634519cb19 SHA256 e0d747d1fc0ddfd97fbfdb0f4d53ee635e5f0b435dd36b6e2c5943cbb34d41f8
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.17 (GNU/Linux)
+
+iJwEAQECAAYFAk4iuHEACgkQIiMqcbOVdxSJ6AP8CYRhkEUc9N++qmgMfLRF4imz
+hqJ5oeIBOn5onNr4LR61vtnwLUqyxTeAETpkzDmaBXzD7qzwb2OCXxJ44bTOJwa3
+2goTxov+TGG2QhAX0JuasTabdAddj3lNj9AQSGfOmxQz2Drdf+W/mkMMabY0rlw3
+bQ/ep9bRJTozpx3RkHY=
+=3lzP
+-----END PGP SIGNATURE-----

diff --git a/dev-lang/swig/metadata.xml b/dev-lang/swig/metadata.xml
new file mode 100644
index 0000000..285b061
--- /dev/null
+++ b/dev-lang/swig/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<herd>scheme</herd>
+	<maintainer>
+		<email>pchrist@g.o</email>
+		<name>Panagiotis Christopoulos</name>
+	</maintainer>
+	<maintainer>
+		<email>hkBst@g.o</email>
+	</maintainer>
+	
+	<longdescription lang="en">
+SWIG is a software development tool that connects programs written in C and C++ with a variety of high-level programming languages. SWIG is used with different	types of languages including common scripting languages such as Perl, Python, Tcl/Tk and Ruby. The list of supported languages also includes non-scripting languages such as C#, Common Lisp (Allegro CL), Java, Modula-3 and OCAML. Also several interpreted and compiled Scheme implementations (Chicken, Guile, MzScheme) are supported.
+	</longdescription>
+	<use>
+		<flag name='ccache'>build ccache-swig(a fast compiler cache)</flag>
+	</use>
+</pkgmetadata>

diff --git a/dev-lang/swig/swig-1.3.40-r1.ebuild b/dev-lang/swig/swig-1.3.40-r1.ebuild
new file mode 100644
index 0000000..46c6857
--- /dev/null
+++ b/dev-lang/swig/swig-1.3.40-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/swig/swig-1.3.40-r1.ebuild,v 1.14 2010/07/18 14:52:27 armin76 Exp $
+
+EAPI="3"
+DESCRIPTION="Simplified Wrapper and Interface Generator"
+HOMEPAGE="http://www.swig.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="as-is"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86 ~ppc-aix ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="ccache doc"
+RESTRICT="test"
+DEPEND=""
+RDEPEND=""
+
+src_prepare () {
+	rm -v aclocal.m4 || die "Unable to remove aclocal.m4"
+	./autogen.sh || die "Autogen script failed"
+}
+
+src_configure () {
+	econf \
+		$(use_enable ccache)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "target install failed"
+	dodoc ANNOUNCE CHANGES CHANGES.current FUTURE NEW README TODO || die "dodoc failed"
+	if use doc; then
+		dohtml -r Doc/{Devel,Manual} || die "Failed to install html documentation"
+	fi
+}

diff --git a/dev-lang/swig/swig-2.0.0.ebuild b/dev-lang/swig/swig-2.0.0.ebuild
new file mode 100644
index 0000000..0e3d440
--- /dev/null
+++ b/dev-lang/swig/swig-2.0.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/swig/swig-2.0.0.ebuild,v 1.2 2010/09/24 16:52:40 leio Exp $
+
+EAPI="3"
+DESCRIPTION="Simplified Wrapper and Interface Generator"
+HOMEPAGE="http://www.swig.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="as-is"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="ccache doc"
+RESTRICT="test"
+DEPEND=""
+RDEPEND=""
+
+src_prepare () {
+	rm -v aclocal.m4 || die "Unable to remove aclocal.m4"
+	./autogen.sh || die "Autogen script failed"
+}
+
+src_configure () {
+	econf \
+		$(use_enable ccache)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "target install failed"
+	dodoc ANNOUNCE CHANGES CHANGES.current README TODO || die "dodoc failed"
+	if use doc; then
+		dohtml -r Doc/{Devel,Manual} || die "Failed to install html documentation"
+	fi
+}

diff --git a/dev-lang/swig/swig-2.0.1.ebuild b/dev-lang/swig/swig-2.0.1.ebuild
new file mode 100644
index 0000000..33623f0
--- /dev/null
+++ b/dev-lang/swig/swig-2.0.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/swig/swig-2.0.1.ebuild,v 1.1 2010/10/26 07:26:56 radhermit Exp $
+
+EAPI="3"
+
+DESCRIPTION="Simplified Wrapper and Interface Generator"
+HOMEPAGE="http://www.swig.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3 as-is"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="ccache doc pcre"
+RESTRICT="test"
+
+DEPEND="pcre? ( dev-libs/libpcre )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	econf \
+		--disable-dependency-tracking \
+		$(use_enable ccache) \
+		$(use_with pcre)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "emake install failed"
+	dodoc ANNOUNCE CHANGES CHANGES.current README TODO || die "dodoc failed"
+	if use doc; then
+		dohtml -r Doc/{Devel,Manual} || die "dohtml failed"
+	fi
+}

diff --git a/dev-lang/swig/swig-2.0.2.ebuild b/dev-lang/swig/swig-2.0.2.ebuild
new file mode 100644
index 0000000..7be089e
--- /dev/null
+++ b/dev-lang/swig/swig-2.0.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/swig/swig-2.0.2.ebuild,v 1.7 2011/07/17 10:24:43 xarthisius Exp $
+
+EAPI="3"
+
+DESCRIPTION="Simplified Wrapper and Interface Generator"
+HOMEPAGE="http://www.swig.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3 as-is"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="ccache doc pcre"
+RESTRICT="test"
+
+DEPEND="pcre? ( dev-libs/libpcre )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	econf \
+		--disable-dependency-tracking \
+		$(use_enable ccache) \
+		$(use_with pcre)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "emake install failed"
+	dodoc ANNOUNCE CHANGES CHANGES.current README TODO || die "dodoc failed"
+	if use doc; then
+		dohtml -r Doc/{Devel,Manual} || die "dohtml failed"
+	fi
+}

diff --git a/dev-lang/swig/swig-2.0.3.ebuild b/dev-lang/swig/swig-2.0.3.ebuild
new file mode 100644
index 0000000..9890372
--- /dev/null
+++ b/dev-lang/swig/swig-2.0.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/swig/swig-2.0.3.ebuild,v 1.1 2011/04/14 21:37:36 pchrist Exp $
+
+EAPI="3"
+
+DESCRIPTION="Simplified Wrapper and Interface Generator"
+HOMEPAGE="http://www.swig.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3 as-is"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="ccache doc pcre"
+RESTRICT="test"
+
+DEPEND="pcre? ( dev-libs/libpcre )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	econf \
+		--disable-dependency-tracking \
+		$(use_enable ccache) \
+		$(use_with pcre)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "emake install failed"
+	dodoc ANNOUNCE CHANGES CHANGES.current README TODO || die "dodoc failed"
+	if use doc; then
+		dohtml -r Doc/{Devel,Manual} || die "dohtml failed"
+	fi
+}

diff --git a/dev-lang/swig/swig-2.0.4.ebuild b/dev-lang/swig/swig-2.0.4.ebuild
new file mode 100644
index 0000000..4cc0c5c
--- /dev/null
+++ b/dev-lang/swig/swig-2.0.4.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/swig/swig-2.0.4.ebuild,v 1.1 2011/05/28 15:40:26 pchrist Exp $
+
+EAPI="3"
+
+DESCRIPTION="Simplified Wrapper and Interface Generator"
+HOMEPAGE="http://www.swig.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3 as-is"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="ccache doc pcre"
+RESTRICT="test"
+
+DEPEND="pcre? ( dev-libs/libpcre )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	econf \
+		--disable-dependency-tracking \
+		$(use_enable ccache) \
+		$(use_with pcre)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "emake install failed"
+	dodoc ANNOUNCE CHANGES CHANGES.current README TODO || die "dodoc failed"
+	if use doc; then
+		dohtml -r Doc/{Devel,Manual} || die "dohtml failed"
+	fi
+}

diff --git a/dev-lang/swig/swig-2.0.4_pre12643.ebuild b/dev-lang/swig/swig-2.0.4_pre12643.ebuild
new file mode 100644
index 0000000..ecfc50e
--- /dev/null
+++ b/dev-lang/swig/swig-2.0.4_pre12643.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/swig/swig-2.0.4_pre12643.ebuild,v 1.2 2011/04/29 09:24:55 pchrist Exp $
+
+EAPI="3"
+
+DESCRIPTION="Simplified Wrapper and Interface Generator"
+HOMEPAGE="http://www.swig.org/"
+if [[ "${PV}" == *_pre* ]]; then
+	SRC_URI="mirror://gentoo/${P}.tar.bz2"
+else
+	SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+fi
+
+LICENSE="GPL-3 as-is"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="ccache doc pcre"
+RESTRICT="test"
+
+DEPEND="pcre? ( dev-libs/libpcre )"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	if [[ "${PV}" == *_pre* ]]; then
+		./autogen.sh || die "autogen.sh failed"
+	fi
+}
+
+src_configure() {
+	econf \
+		--disable-dependency-tracking \
+		$(use_enable ccache) \
+		$(use_with pcre)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "emake install failed"
+	dodoc ANNOUNCE CHANGES CHANGES.current README TODO || die "dodoc failed"
+	if use doc; then
+		dohtml -r Doc/{Devel,Manual} || die "dohtml failed"
+	fi
+}


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in x11-themes/gtk-engines-nimbus: gtk-engines-nimbus-0.1.7.ebuild
Next by thread:
gentoo-x86 commit in dev-lang/swi-prolog: swi-prolog-5.10.5-r1.ebuild ChangeLog swi-prolog-5.11.30.ebuild
Previous by date:
gentoo-x86 commit in x11-themes/gtk-engines-nimbus: gtk-engines-nimbus-0.1.7.ebuild
Next by date:
gentoo-x86 commit in dev-lang/swi-prolog: swi-prolog-5.10.5-r1.ebuild ChangeLog swi-prolog-5.11.30.ebuild


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.